<?

 /*****************************************************************************
 * Filename: include/modules/images.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_images extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Image";

   $this->data->defaultFields();

   $this->data->addField("title", "text", "all", "title", 1, 25, false, "Title");
   $this->data->addField("file", "image", "all", false, 5, 1024*1024*10, false, "Image");

   $this->data->sortOrder("title");
  }

  function addPreSubmitErrorCheck()
  {
   for($c=0;$c<$this->data->vmax;$c++)
    if(!$this->data->getValue("title", $c))
     $this->data->setValue("title", $this->data->getValue("file", $c), $c);

   return true;
  }
 }
?>
